using System;
using System.IO;

namespace Addison_Wesley.Codebook.Utils
{
   public class FileUtils
   {
      public static bool IsPathValid(string path)
      {
         try
         {
            // GetFullPath aufrufen um eine Exception 
            // bei einem ungültigen Pfad zu provozieren
            Path.GetFullPath(path);
            return true;
         }
         catch (NotSupportedException)
         {
            // Wird bei ungültigen Pfad-Formaten geworfen,
            // z. B. wenn ein Ordner- oder ein Dateiname
            // Doppelpunkte enthält 
            return false;
         }
         catch (ArgumentException)
         {
            // Wird bei ungültigen Zeichen im Pfad geworfen
            return false;
         }
      }
   }
}
